Subject: Re: Turning misc objects into pseudovectors

From: Stefan Monnier <[email-masked]>
Date: Wed, 08 Aug 2018 23:58:10 -0400

> Bug#32405 contains a patch that will get rid of the miscellaneous-object
> category of the Emacs Lisp interpreter, and will change these objects to be
> pseudovectors instead.  The motivation is to simplify the interpreter and
> garbage collector and speed it up slightly, and to simplify potential
> future changes.

I like the idea, but:

AFAIK the main issue with pseudovectors is that their allocation is
slower and suffers more from fragmentation (because we don't use
a size-segregated allocation algorithm (like Linux's SLAB, for example)
for them).

Are you sure the new code is faster overall?

There is also a potential issue in terms of the resulting heap size of
markers (which may bump up from 6 words to 8 words, IIRC, unless your
patch does something to keep it down to 6), tho this is probably of no
real consequence.

        Stefan